---
Description: "A task to install Helm and Tiller"
Name: "krib-helm-init"
Documentation: |
  Installs Helm and runs helm init (which installs Tiller) on the leader.

  This uses the Digital Rebar Cluster pattern so `krib/cluster-profile` must be set.

  The install checks to see if tiller is running and may skip initialization.

  The tasks only run on the leader so it must be included in the workflow.  All other
  machines will be skipped so it is acceptable to run the task on all machines
  in the cluster.
ExtraClaims:
  - scope: "profiles"
    action: "*"
    specific: "*"
RequiredParams:
  - krib/cluster-profile
OptionalParams:
  - helm/version
Templates:
  - ID: "krib-helm.cfg.tmpl"
    Name: "Service Account for Tiller"
    Path: "tiller-rbac.yaml"
  - ID: "krib-helm-init.sh.tmpl"
    Name: "Bringing up Helm and Tiller on Master"
    Path: ""
Meta:
  icon: "ship"
  color: "blue"
  title: "Community Content"
  feature-flags: "sane-exit-codes"
